DEV Community

Discussion on: SpaceVim and Language Server Protocol

Collapse
jjgumucio profile image
Joaquin Gumucio L.

Hi! I'm trying to set up lsp for rust and other languages too.
When I run SpaceVim, I'm getting an error:

[SpaceVim ] [13:19:00] [ Warn ] Failed to enable lsp for rust, rls is not executable!

This error appears for almost all languages/filetypes:

  • Typescript
  • Python
  • Dart

Have you crossed this issue?

Collapse
oldstager profile image
Bambang Purnomosidi D. P. Author

Hi, sorry for belated reply.

Until now, I never got that issue. Have you got your LSP server correctly (rls for Rust)? rls should be in your PATH, otherwise, SpaceVim will complaint.

Collapse
jjgumucio profile image
Joaquin Gumucio L.

Sorry for my late response too!!
I solved the problem for all languages. I don't remember exactly how now (I think I just reinstalled de lsp packages for each language)

Thanks anyway!

Thread Thread
oldstager profile image
Bambang Purnomosidi D. P. Author

Good to hear. Happy coding!